exceptions :: Exception :: Class Exception

[hide private]
[frames] | no frames]

# Class Exception

       object --+
                |
    BaseException --+
                    |
                   Exception

Known Subclasses:
  StandardError, Warning, GeneratorExit, StopIteration, web2py.gluon.contrib.pymysql.err.MySQLError, imaplib.IMAP4.error, web2py.gluon.rocket.BadRequest, socket.error, web2py.gluon.rocket.SocketClosed, web2py.gluon.rocket.SocketTimeout, web2py.gluon.rocket.BadRequest, web2py.gluon.rocket.SocketClosed, web2py.gluon.http.HTTP, web2py.gluon.restricted.RestrictedError, Queue.Empty, Queue.Full, HTMLParser.HTMLParseError, web2py.gluon.tools.Service.JsonRpcException, web2py.gluon.tools.Service.JsonRpcException

Common base class for all non-exit exceptions.

Instance Methods | [hide private]

__init__(...) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

__new__(T, S, ...) Returns: a new object with type S, a subtype of T |

Inherited from `BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__` Inherited from `object`: `__hash__`, `__reduce_ex__`

Properties | [hide private]

Inherited from `BaseException`: `args`, `message` Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: BaseException.__init__

### __new__(T, S, ...)

Returns:

      a new object with type S, a subtype of T

Overrides: BaseException.__new__